InputSubset (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: java.awt.im, class: InputSubset
Keywords: java.awt.im.InputSubset class

# Class InputSubset

java.lang.Object
java.lang.Character.Subset
java.awt.im.InputSubset

public final class InputSubset extends Character.Subset
Defines additional Unicode subsets for use by input methods. Unlike the UnicodeBlock subsets defined in the `Character.UnicodeBlock` class, these constants do not directly correspond to Unicode code blocks.

Since:
  1.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final InputSubset`
  `FULLWIDTH_DIGITS`
  Constant for the fullwidth digits included in the Unicode halfwidth and fullwidth forms character block.
  `static final InputSubset`
  `FULLWIDTH_LATIN`
  Constant for the fullwidth ASCII variants subset of the Unicode halfwidth and fullwidth forms character block.
  `static final InputSubset`
  `HALFWIDTH_KATAKANA`
  Constant for the halfwidth katakana subset of the Unicode halfwidth and fullwidth forms character block.
  `static final InputSubset`
  `HANJA`
  Constant for all Han characters used in writing Korean, including a subset of the CJK unified ideographs as well as Korean Han characters that may be defined as surrogate characters.
  `static final InputSubset`
  `KANJI`
  Constant for all Han characters used in writing Japanese, including a subset of the CJK unified ideographs as well as Japanese Han characters that may be defined as surrogate characters.
  `static final InputSubset`
  `LATIN`
  Constant for all Latin characters, including the characters in the BASIC_LATIN, LATIN_1_SUPPLEMENT, LATIN_EXTENDED_A, LATIN_EXTENDED_B Unicode character blocks.
  `static final InputSubset`
  `LATIN_DIGITS`
  Constant for the digits included in the BASIC_LATIN Unicode character block.
  `static final InputSubset`
  `SIMPLIFIED_HANZI`
  Constant for all Han characters used in writing Simplified Chinese, including a subset of the CJK unified ideographs as well as Simplified Chinese Han characters that may be defined as surrogate characters.
  `static final InputSubset`
  `TRADITIONAL_HANZI`
  Constant for all Han characters used in writing Traditional Chinese, including a subset of the CJK unified ideographs as well as Traditional Chinese Han characters that may be defined as surrogate characters.

- ## Method Summary

  ### Methods declared in class java.lang.Character.Subset

  `equals, hashCode, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LATIN

    public static final InputSubset LATIN
    Constant for all Latin characters, including the characters in the BASIC_LATIN, LATIN_1_SUPPLEMENT, LATIN_EXTENDED_A, LATIN_EXTENDED_B Unicode character blocks.

  - ### LATIN_DIGITS

    public static final InputSubset LATIN_DIGITS
    Constant for the digits included in the BASIC_LATIN Unicode character block.

  - ### TRADITIONAL_HANZI

    public static final InputSubset TRADITIONAL_HANZI
    Constant for all Han characters used in writing Traditional Chinese, including a subset of the CJK unified ideographs as well as Traditional Chinese Han characters that may be defined as surrogate characters.

  - ### SIMPLIFIED_HANZI

    public static final InputSubset SIMPLIFIED_HANZI
    Constant for all Han characters used in writing Simplified Chinese, including a subset of the CJK unified ideographs as well as Simplified Chinese Han characters that may be defined as surrogate characters.

  - ### KANJI

    public static final InputSubset KANJI
    Constant for all Han characters used in writing Japanese, including a subset of the CJK unified ideographs as well as Japanese Han characters that may be defined as surrogate characters.

  - ### HANJA

    public static final InputSubset HANJA
    Constant for all Han characters used in writing Korean, including a subset of the CJK unified ideographs as well as Korean Han characters that may be defined as surrogate characters.

  - ### HALFWIDTH_KATAKANA

    public static final InputSubset HALFWIDTH_KATAKANA
    Constant for the halfwidth katakana subset of the Unicode halfwidth and fullwidth forms character block.

  - ### FULLWIDTH_LATIN

    public static final InputSubset FULLWIDTH_LATIN
    Constant for the fullwidth ASCII variants subset of the Unicode halfwidth and fullwidth forms character block.
    Since:
      1.3

  - ### FULLWIDTH_DIGITS

    public static final InputSubset FULLWIDTH_DIGITS
    Constant for the fullwidth digits included in the Unicode halfwidth and fullwidth forms character block.
    Since:
      1.3